Name: fakeroot
Version: 0.8.2
Release: alt1

Summary: Run a command in an environment faking root privileges for file manipulation
License: GPL
Group: Development/Other
Url: http://packages.debian.org/%name

Source: ftp://ftp.debian.org/debian/pool/main/f/%name/%{name}_%version.tar.bz2
Patch1: %name-0.7.3-alt-test.patch
Patch2: %name-0.8.2-alt-script-fixes.patch
Patch3: %name-0.8.2-alt-ugid.patch

Requires: getopt

BuildPreReq: sharutils

# Automatically added by buildreq on Mon May 05 2003
BuildRequires: gcc-c++ glibc-devel-static libstdc++-devel

%description
fakeroot runs a command in an environment were it appears to have root
privileges for file manipulation.  This is useful for allowing users to
createarchives (tar, ar, .rpm etc.) with files in them with root
permissions/ownership.  Without fakeroot one would have to have root
privileges to create the constituent files of the archives with the
correct permissions and ownership, and then pack them up, or one would
have to construct the archives directly, without using the archiver.

%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%__grep -FZrl sys: test |
	xargs -r0 %__subst -p "s/sys:/bin:/g" --
%__grep -FZrl :sys test |
	xargs -r0 %__subst -p "s/:sys/:bin/g" --
%configure --libdir=%_libdir/libfakeroot --enable-static=no
%make_build
%{!?__buildreqs:%{!?_without_check:%{!?_disable_check:%make_build check}}}

%install
%makeinstall libdir=%buildroot%_libdir/libfakeroot
find %buildroot%_libdir -type f -name \*.la -print -delete

%files
%_bindir/*
%_libdir/libfakeroot
%_mandir/man?/*
%doc debian/changelog doc/README* DEBUG

%changelog
* Thu Nov 27 2003 Dmitry V. Levin <ldv@altlinux.org> 0.8.2-alt1
- Updated to 0.8.2, updated patches.
- Do not package .la files.

* Mon Sep 15 2003 Dmitry V. Levin <ldv@altlinux.org> 0.7.6-alt1
- Updated to 0.7.6

* Mon Jul 28 2003 Dmitry V. Levin <ldv@altlinux.org> 0.7.5-alt1
- Updated to 0.7.5

* Fri Jul 04 2003 Dmitry V. Levin <ldv@altlinux.org> 0.7.3-alt2
- Fixed trap usage in fakeroot script.

* Thu Jun 26 2003 Dmitry V. Levin <ldv@altlinux.org> 0.7.3-alt1
- Updated to 0.7.3
- Fixed fakeroot script to correct package dependencies.
- Fake setfsuid, setfsgid and setgroups (required for libtcb).
- Changed faking algorithm for other [sg]et*[ug]id functions,
  to better match real system behaviour.

* Mon May 05 2003 Dmitry V. Levin <ldv@altlinux.org> 0.6.9-alt2
- Updated build dependencies.

* Thu May 01 2003 Dmitry V. Levin <ldv@altlinux.org> 0.6.9-alt1
- Updated to 0.6.9.
- Fixed testsuit and enabled it by default.
- Updated summary and description.

* Thu Mar 13 2003 Alexander V. Nikolaev <avn@altlinux.org> 0.5.9-alt2
- Fix /usr/lib/libfakeroot permissions

* Mon Feb 10 2003 Alexander V. Nikolaev <avn@altlinux.org> 0.5.9-alt1
- New upstream version
- Add depends to getopt

* Mon Dec 16 2002 Alexander V. Nikolaev <avn@altlinux.org> 0.5.7-alt2
- Remove static libs

* Tue Dec 10 2002 Alexander V. Nikolaev <avn@altlinux.org> 0.5.7-alt1
- 0.5.7
